Hooks:Add("LocalizationManagerPostInit", "LocalizationManagerPostInit_shuffle_play", function(loc)
	loc:load_localization_file(shuffle_play.mod_path .. "loc/" .. "en.json")
end)

Hooks:Add("MenuManagerInitialize", "MenuManagerInitialize_shuffle_play", function(menu_manager)
	shuffle_play:load()
    
	MenuHelper:LoadFromJsonFile(shuffle_play.mod_path .. "menu/" .. "menu.json", shuffle_play, shuffle_play.save_data)
    MenuHelper:LoadFromJsonFile(shuffle_play.mod_path .. "menu/" .. "menu_tracks.json", shuffle_play, shuffle_play.save_data)

	MenuCallbackHandler.shuffle_play_enable_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_enable_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_beardlib_tracks_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_beardlib_tracks_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end
    
	MenuCallbackHandler.shuffle_play_track_56_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_56_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_15_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_15_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_09_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_09_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_27_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_27_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_01_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_01_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_66_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_66_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_59_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_59_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_68_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_68_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_24_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_24_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_pth_09_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_pth_09_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_50_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_50_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_51_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_51_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_70_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_70_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_06_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_06_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_22_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_22_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_pth_07_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_pth_07_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_63_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_63_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_pth_08_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_pth_08_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_35_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_35_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_73_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_73_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_29_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_29_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_71_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_71_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_48_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_48_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_12_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_12_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_65_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_65_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_36_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_36_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_pth_02_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_pth_02_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_52_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_52_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_46_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_46_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_38_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_38_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_18_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_18_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_02_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_02_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_03_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_03_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_72_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_72_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_pth_01_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_pth_01_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_31_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_31_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_23_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_23_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_pth_03_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_pth_03_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_42_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_42_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_19_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_19_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_55_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_55_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_26_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_26_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_62_lcv_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_62_lcv_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_33_lcv_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_33_lcv_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_34_lcv_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_34_lcv_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_64_lcv_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_64_lcv_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_32_lcv_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_32_lcv_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_54_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_54_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_37_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_37_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_58_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_58_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_14_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_14_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_74_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_74_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_pth_06_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_pth_06_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_39_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_39_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_41_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_41_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_77_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_77_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end
    
	MenuCallbackHandler.shuffle_play_track_67_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_67_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_04_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_04_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_40_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_40_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_25_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_25_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_13_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_13_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_28_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_28_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_75_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_75_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end
    
	MenuCallbackHandler.shuffle_play_track_10_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_10_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_21_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_21_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_49_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_49_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_pth_04_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_pth_04_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_53_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_53_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_45_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_45_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_69_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_69_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_17_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_17_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_44_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_44_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_20_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_20_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_05_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_05_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_47_gen_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_47_gen_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_pth_05_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_pth_05_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_43_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_43_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_07_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_07_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_08_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_08_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_76_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_76_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end
    
	MenuCallbackHandler.shuffle_play_track_61_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_61_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_57_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_57_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_60_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_60_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_30_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_30_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_11_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_11_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end

	MenuCallbackHandler.shuffle_play_track_16_callback = function(self, item)
		shuffle_play.save_data.shuffle_play_track_16_toggled = (item:value() == "on" and true or false)
		shuffle_play:save()
	end
end)
